Subject: Re: [PATCH] net: rocker: Change netdev names to include slot number

From: David Ahern <[email-masked]>
Date: Mon, 02 Feb 2015 15:09:55 -0700

On 2/2/15 3:03 PM, Florian Fainelli wrote:
> Why not? virtio and rocker interfaces are backed by different devices
> drivers which should allow you to use that to name interfaces
> differently. In the case of rocker, you would probably want to read the
> phys_port_id sysfs attribute to name them after their parent switch id too.

[root@f21 ~]# cat /sys/devices/virtual/net/sw5p0/phys_port_id
cat: /sys/devices/virtual/net/sw5p0/phys_port_id: Operation not supported

But in general I guess need to find time to figure out systemd-udev files.

David